import { Company } from '../entities/company.entity';
import { ExternalProfile } from '../entities/external-profile.entity';
import { ResponseCompanyDto } from './response-company.dto';
import { ResponseExternalProfileDto } from './response-external-profile.dto';

export class CompanyInfoResponseDto {
  profile: ResponseExternalProfileDto;
  company: ResponseCompanyDto;

  constructor(profile: ExternalProfile, company: Company) {
    this.profile = new ResponseExternalProfileDto(profile, company);
    this.company = new ResponseCompanyDto(company);
  }
}
